Supported Platforms and Compiler Information

The following table lists the operating systems that HOOPS Exchange components are supported on, along with the compiler versions that were used to build and test the release.

PlatformArchitectureMinimum supported OSCompiler
Windows x86 or x64 Windows 2008 Server SP2
Windows Vista or newer
Visual Studio 2015 Update 3 or newer
Linux x86 or x64 Red Hat Enterprise Linux 6
CentOS 6.x (glibc 2.12)
gcc/g++ 6.5 (new ABI)
osx_x64 x64 Mac OS X 10.10
XCode 8.3 (LLVM)
Android* ARMv7A/ARMv8A_64/x86 5.1
Android NDK 10e - Clang
`c++_static`
iOS* x86_64/x86/ARMv7/ARM8_64 iOS 8.1
XCode 8.3 (LLVM)

Format support and platform

CAD format support may be restricted in some platforms. Please refer to File Format page for more information.

Using Other Operating Systems and Compilers

It is simplest and best if your application is compiled using one of the supported operating systems and compilers listed above. Other operating systems may work, but our testing is limited to the list above.

It is possible to use a version of Visual Studio for your application development other than the supported versions, although it is not recommended or supported. We have spot checked that this is possible during the testing of our release. Please remember that any issues will need to be reproduced using a supported operating system and compiler before being submitted to Technical Support.